## Class TAPCCache

Description

TAPCCache class

TAPCCache implements a cache application module based on APC.

By definition, cache does not ensure the existence of a value even if it never expires. Cache is not meant to be an persistent storage.

To use this module, the APC PHP extension must be loaded and set in the php.ini file the following:

     apc.cache_by_default=0

Some usage examples of TAPCCache are as follows,

     $cache=new TAPCCache;  // TAPCCache may also be loaded as a Prado application module
      $cache->init(null);
     $cache->add('object',$object);
     $object2=$cache->get('object');

If loaded, TAPCCache will register itself with TApplication as the cache module. It can be accessed via TApplication::getCache().

TAPCCache may be configured in application configuration file as follows

     <module id="cache" class="System.Caching.TAPCCache" />

- since: 3.0b
- version: $Id: TAPCCache.php 1994 2007-06-11 16:02:28Z knut $
- author: Alban Hanry <compte_messagerie@hotmail.com>
- author: Knut Urdalen <knut.urdalen@gmail.com>

Located in /Caching/TAPCCache.php (line 48)

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TCache
                |
                --TAPCCache

Method Summary
boolean addValue (string $key, string $value, integer $expire)
boolean deleteValue (string $key)
void flush ()
string getValue (string $key)
void init (TXmlElement $config)
boolean setValue (string $key, string $value, integer $expire)
Methods
addValue (line 104)

Stores a value identified by a key into cache if the cache does not contain this key.

This is the implementation of the method declared in the parent class.

- return: true if the value is successfully stored into cache, false otherwise
- access: protected

boolean addValue (string $key, string $value, integer $expire)

- string $key: the key identifying the value to be cached
- string $value: the value to be cached
- integer $expire: the number of seconds in which the cached value will expire. 0 means never expire.

Redefinition of:

TCache::addValue()
  Stores a value identified by a key into cache if the cache does not contain this key.

deleteValue (line 119)

Deletes a value with the specified key from cache This is the implementation of the method declared in the parent class.

- return: if no error happens during deletion
- access: protected

boolean deleteValue (string $key)

- string $key: the key of the value to be deleted

Redefinition of:

TCache::deleteValue()
  Deletes a value with the specified key from cache This method should be implemented by child classes to delete the data from actual cache storage.

flush (line 128)

Deletes all values from cache.

Be careful of performing this operation if the cache is shared by multiple applications.

- access: public

void flush ()

Redefinition of:

TCache::flush()
  Deletes all values from cache.

getValue (line 76)

Retrieves a value from cache with a specified key.

This is the implementation of the method declared in the parent class.

- return: the value stored in cache, false if the value is not in the cache or expired.
- access: protected

string getValue (string $key)

- string $key: a unique key identifying the cached value

Redefinition of:

TCache::getValue()
  Retrieves a value from cache with a specified key.

init (line 56)

Initializes this module.

This method is required by the IModule interface.

- access: public
- throws: TConfigurationException if apc extension is not installed or not started, check your php.ini

void init (TXmlElement $config)

- TXmlElement $config: configuration for this module, can be null

Redefinition of:

TCache::init()
  Initializes the cache module.

setValue (line 90)

Stores a value identified by a key in cache.

This is the implementation of the method declared in the parent class.

- return: true if the value is successfully stored into cache, false otherwise
- access: protected

boolean setValue (string $key, string $value, integer $expire)

- string $key: the key identifying the value to be cached
- string $value: the value to be cached
- integer $expire: the number of seconds in which the cached value will expire. 0 means never expire.

Redefinition of:

TCache::setValue()
  Stores a value identified by a key in cache.

#### Inherited Methods

Inherited From TCache

> TCache::add()
> TCache::addValue()
> TCache::delete()
> TCache::deleteValue()
> TCache::flush()
> TCache::generateUniqueKey()
> TCache::get()
> TCache::getKeyPrefix()
> TCache::getPrimaryCache()
> TCache::getValue()
> TCache::init()
> TCache::offsetExists()
> TCache::offsetGet()
> TCache::offsetSet()
> TCache::offsetUnset()
> TCache::set()
> TCache::setKeyPrefix()
> TCache::setPrimaryCache()
> TCache::setValue()

Inherited From TModule

> TModule::getID()
> TModule::init()
> TModule::setID()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:30:14 -0400 by phpDocumentor 1.3.0RC4